Home > Error Could > Error Could Not Find Gd.h Or Libgd.a/libgd.so In /usr/local

Error Could Not Find Gd.h Or Libgd.a/libgd.so In /usr/local

nochecking whether to enable the bundled filePro support... Acknowledgement sent to [email protected]: New Bug report received and forwarded. configure: error: Unable to find libgd.(a|so) anywhere under /usr/local/gd-2.0.11 I'm tempted to just move /usr/local/lib/libgd.a/.so to /usr/local/gd-2.0.11/ but then i take a peak at the libgd.la file i mentioned earlier and With bug 909 fixed you should be able to complete your build. check over here

configure > has problems finding a working gd version (configure > for 4.2.5 has no problems). > I am on Solaris 2.7, gcc 3.3.2, gnu make 3.80, gd 2.0.28, ... > I configured GD as follows (GNU Autoconf 2.57): ./configure --with-png=/usr/local --with-freetype=/usr/local --with-jpeg=/usr/local --with-xpm=/usr/local --without-libiconv-prefix If I removed --without-libiconv-prefix (or used --with-libiconv-prefix=/usr/local), Mapserver configuration aborted with the same error message as before. Copy sent to Debian GIS Project . (Fri, 18 May 2012 02:24:02 GMT) Full text and rfc822 format available. The nightly build finds the iconv functions in libc (-lc): HÃ¥vard Tveite wrote: > > checking for iconv_open in -lc...

Message #10 received at [email protected] (full text, mbox, reply): From: Steven Chamberlain To: [email protected] Cc: [email protected] Subject: Re: Bug#673165: mapserver: FTBFS with multiarch-ready libgd2 Date: Fri, 18 May 2012 03:21:15 I'm back to being a noob here Nibbler Guest Re: Problems with Bundled GD? « Reply #2 on: February 07, 2005, 01:15:01 PM » Basically you need --with-jpeg in your configure checking for XpmFreeXpmImage in -lXpm...

Perhaps my FC4 mapserver install page can be of some use? Mine is --with-jpeg-dir=/usr/lib. I checked and the only libgd* file was a .la file. yes using libiconv from -L/usr/local/lib -lc libiconv found.

To start viewing messages, select the forum that you want to visit from the selection below. ** If you are logged in, most ads will not be displayed. ** Linuxforums now So the configure.in must be modified in some way to look for the static+shared libs in the appropriate (multiarch) path... Visit the Trac open source project athttp://trac.edgewall.org/ [email protected] Discussion: libgd.a not found by configure script (too old to reply) John Overton 2008-07-09 20:18:21 UTC PermalinkRaw Message Hello,I am building mapserv Acknowledgement sent to Cyril Brulebois : Extra info received and forwarded to list.

nochecking whether to enable FTP support... yes > checking for gdImageStringFT in -lc... Free forum by Nabble Edit this page Debian Bug report logs - #673165 mapserver: FTBFS with multiarch-ready libgd2 Package: src:mapserver; Maintainer for src:mapserver is Debian GIS Project ; Reported by: [email protected] Date: Wed, 16 May 2012 16:54:58 +0200 Package: src:mapserver Version: 6.0.1-3 Severity: serious Tags: sid wheezy Justification: fails to build from source (but built successfully in the past) Hi!

library_names='libgd.so.2.0.0 libgd.so.2 libgd.so' # The name of the static archive. no > > libjpeg not found. Add /usr/local/lib to /etc/ld.so.conf, then run ldconfig, and try again. 02-26-2003 #7 majik View Profile View Forum Posts View Articles Just Joined! But this image is not being displayed.

Maintainers, that's a very short notice, but we haven't heard from you on the bug log, and we badly need fixed packages for gdal. http://strobelfilms.com/error-could/error-could-not-access-the-local-server.html Note: See TracTickets for help on using tickets. Then I recompiled GD with: ./configure --with-png=/usr/local --with-freetype=/usr/local --with-jpeg=/usr/local --with-xpm=/usr/local --with-libiconv-prefix=/usr/local Then I modified my Mapserver configuration according to Daniels suggestion: ./configure --with-png=/usr/local --with-freetype=/usr/local --with-jpeg=/usr/local --with-xpm=/usr/local --with-libiconv=/usr/local The following output resulted Register Help Remember Me?

The original poster stated that gd.h and libgd.a were installed already. about freebsd 5.2.1 for amd64 Messages sorted by: [ date ] [ thread ] [ subject ] [ author ] More information about the freebsd-questions mailing list OSGeo.org › OSGeo Software configure: checking where libXpm is installed... this content yes > > checking for strncasecmp...

SMF 2.0.12 | SMF © 2016, Simple Machines XHTML RSS WAP2 Page created in 0.082 seconds with 20 queries. For PHP, the guide suggested using the configuration options: ./configure \ --with-apxs=/usr/local/apache/bin/apxs \ --with-config-file-path=/usr/local/apache/conf \ --enable-versioning \ --with-mysql=/usr/local \ --enable-ftp \ --with-gd=/usr/local/gd-2.0.11 \ --enable-bcmath \ --disable-debug \ --enable-memory-limit=yes \ --enable-track-vars I and it says .. "The previous file could not be placed.You have successfully placed all the files."And no images show up in my Gallery.

Mine is --with-jpeg-dir=/usr/lib.Here is what it said when I configured it.Quotechecking for GD support...

Logged Print Pages: [1] 2 Go Up « previous next » forum.coppermine-gallery.net > Support > Older/other versions > cpg1.3.x Support > cpg1.3 Installation & Setup > Topic: Problems with Bundled GD? old_library='libgd.a' Would this be a copy of the file its looking for? nochecking for FDF support... What do I need toinstall to get it?Thanks for any help, - Dave Logged llbbl Coppermine newbie Offline Posts: 18 Re: Problems with Bundled GD? « Reply #7 on: February 07,

about freebsd 5.2.1 for amd64 Messages sorted by: [ date ] [ thread ] [ subject ] [ author ] did you ever find a solution to this problem? nochecking whether to enable EXIF (metadata from images) support... I think I downloaded it and installed it just in case before. have a peek at these guys no > > PNG (libpng) library cannot be found, possibly needed for GD > > configure: checking where libXpm is installed...... > > checking for XpmFreeXpmImage in -lXpm...

I checked and it was in the /usr/local/gd-2.0.11/ directory =/. http://www.boutell.com/gd/ $spacer_open $spacer_close 02-26-2003 #4 Dolda2000 View Profile View Forum Posts Private Message View Articles Linux Guru Join Date Oct 2001 Location Täby, Sweden Posts 7,578 Run make install for gd comment:6 Changed 12 years ago by dmorissette Since your GD is built with a local libiconv, you need to specify where to find that libiconv to MapServer (just the fact that Logged llbbl Coppermine newbie Offline Posts: 18 Re: Problems with Bundled GD? « Reply #12 on: February 08, 2005, 01:04:40 AM » Ok Now I am trying ImageMagick...

Logged Nibbler Guest Re: Problems with Bundled GD? « Reply #17 on: February 08, 2005, 06:20:36 PM » Try doing a locate for libjpeg.so and use the directory where it is no configure: error: "Could not find gd.h or libgd.a/libgd.so in /usr/local. Taking their paths in > consideration, I > > used the option: > > > > --with-gd=/usr/include/gd.h > > > > No success, though.. > > > > could someone please I was looking at the ./configure --help and it said the only option that was similar to yours Quote --with-jpeg-dir[=DIR] GD: Set the path to libjpeg install prefix.but I figured

yes If configure fails try --with-jpeg-dir= If configure fails try --with-png-dir= and --with-zlib-dir= If configure fails try --with-xpm-dir= If configure fails try --with-freetype-dir= configure: error: Unable to find libgd.(a|so) anywhere under I'm new to this list, and subscribed at this time specifically because of the same issue. But the configure script cannotfind the gd libraries even though i can confirm they are inconfigure: checking for GD 2.0.16 or higher...checking for gdFontCacheSetup in -lgd... yes > checking for gdImageJpeg in -lc...

I hit continue. Joao Antunes --- Frank Warmerdam wrote: > On Apr 11, 2005 11:46 AM, joÿffffffffffe3o Antunes > wrote: > > Dear all, > > > >